﻿using Hangfire;
using Hangfire.Dashboard;
using Hangfire.Dashboard.BasicAuthorization;
using IRaCIS.Application.Services.BackGroundJob;
using IRaCIS.Core.API.Filter;
using IRaCIS.Core.Application.Helper;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;

namespace IRaCIS.Core.API
{


    public static class HangfireConfig
    {

        public static void UseHangfireConfig(this IApplicationBuilder app, IWebHostEnvironment env)
        {


            app.UseHangfireDashboard("/hangfire", new DashboardOptions()
            {
                //直接访问，没有带token 获取不到用户身份信息，所以这种自定义授权暂时没法使用
                //Authorization = new[] { new hangfireAuthorizationFilter() }
                //本地请求 才能看
                //Authorization = new[] { new LocalRequestsOnlyAuthorizationFilter() }
                DashboardTitle="后台任务管理",
                

                Authorization = new BasicAuthAuthorizationFilter[] {
                      new BasicAuthAuthorizationFilter(new BasicAuthAuthorizationFilterOptions(){
                            SslRedirect=false,
                            RequireSsl=false,
                            Users=new BasicAuthAuthorizationUser[]{
                                  new BasicAuthAuthorizationUser(){
                                      Login="admin",
                                      PasswordClear="test",

                                  }
                             }

                      })
                }

            });



        }
    }
}